# NinetyEight.ErrorCode

## Class NEErrorCode <a href="#ninetyeight_neerrorcode" id="ninetyeight_neerrorcode"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Contains error codes used throughout the game system.\
These error codes help in identifying and handling various errors.

```csharp
public static class NEErrorCode
```

**Inheritance**

[object](https://learn.microsoft.com/dotnet/api/system.object) ←NEErrorCode

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.MemberwiseClone()](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### ALREADY\_INITED <a href="#ninetyeight_neerrorcode_already_inited" id="ninetyeight_neerrorcode_already_inited"></a>

Error code for already initialized

```csharp
public const int ALREADY_INITED = -1001
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### FAILED\_TO\_CONNECT\_SERVER <a href="#ninetyeight_neerrorcode_failed_to_connect_server" id="ninetyeight_neerrorcode_failed_to_connect_server"></a>

Error code for failed to connect server

```csharp
public const int FAILED_TO_CONNECT_SERVER = -1016
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### FAILED\_TO\_CONNECT\_WALLET <a href="#ninetyeight_neerrorcode_failed_to_connect_wallet" id="ninetyeight_neerrorcode_failed_to_connect_wallet"></a>

Error code for failed to connect wallet

```csharp
public const int FAILED_TO_CONNECT_WALLET = -1015
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### FAILED\_TO\_GET\_PROFILE <a href="#ninetyeight_neerrorcode_failed_to_get_profile" id="ninetyeight_neerrorcode_failed_to_get_profile"></a>

Error code for failed to get profile

```csharp
public const int FAILED_TO_GET_PROFILE = -1017
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### FAILED\_TO\_LOAD\_CDN <a href="#ninetyeight_neerrorcode_failed_to_load_cdn" id="ninetyeight_neerrorcode_failed_to_load_cdn"></a>

Error code for failed to load CDN (Web)

```csharp
public const int FAILED_TO_LOAD_CDN = -103
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### FAILED\_TO\_ONBOARDING <a href="#ninetyeight_neerrorcode_failed_to_onboarding" id="ninetyeight_neerrorcode_failed_to_onboarding"></a>

Error code for failed onboarding process

```csharp
public const int FAILED_TO_ONBOARDING = -1018
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### FAILED\_TO\_SIGN\_MESSAGE <a href="#ninetyeight_neerrorcode_failed_to_sign_message" id="ninetyeight_neerrorcode_failed_to_sign_message"></a>

Error code for failed to sign message

```csharp
public const int FAILED_TO_SIGN_MESSAGE = -1014
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### HTTP\_ERROR <a href="#ninetyeight_neerrorcode_http_error" id="ninetyeight_neerrorcode_http_error"></a>

Error code for JSON parsing issues

```csharp
public const int HTTP_ERROR = -1020
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INSUFFICIENT\_BALANCE <a href="#ninetyeight_neerrorcode_insufficient_balance" id="ninetyeight_neerrorcode_insufficient_balance"></a>

Error code for failed to buy something due to insufficient balance

```csharp
public const int INSUFFICIENT_BALANCE = 1014
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_ACTIVITY\_CONTEXT <a href="#ninetyeight_neerrorcode_invalid_activity_context" id="ninetyeight_neerrorcode_invalid_activity_context"></a>

Error code for invalid activity context (Android)

```csharp
public const int INVALID_ACTIVITY_CONTEXT = -200
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_ADDRESS <a href="#ninetyeight_neerrorcode_invalid_address" id="ninetyeight_neerrorcode_invalid_address"></a>

Error code for invalid address

```csharp
public const int INVALID_ADDRESS = -1004
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_CONFIG <a href="#ninetyeight_neerrorcode_invalid_config" id="ninetyeight_neerrorcode_invalid_config"></a>

Error code for invalid configuration

```csharp
public const int INVALID_CONFIG = -1002
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_CYBORG\_DATA <a href="#ninetyeight_neerrorcode_invalid_cyborg_data" id="ninetyeight_neerrorcode_invalid_cyborg_data"></a>

Error code for invalid Cyborg data (Cyborg Web)

```csharp
public const int INVALID_CYBORG_DATA = -102
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_GAME\_KEY <a href="#ninetyeight_neerrorcode_invalid_game_key" id="ninetyeight_neerrorcode_invalid_game_key"></a>

Error code for invalid game key

```csharp
public const int INVALID_GAME_KEY = -1013
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_PHRASE <a href="#ninetyeight_neerrorcode_invalid_phrase" id="ninetyeight_neerrorcode_invalid_phrase"></a>

Error code for invalid phrase

```csharp
public const int INVALID_PHRASE = -1006
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_PROVIDER <a href="#ninetyeight_neerrorcode_invalid_provider" id="ninetyeight_neerrorcode_invalid_provider"></a>

Error code for invalid provider

```csharp
public const int INVALID_PROVIDER = -1003
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_SIGNATURE <a href="#ninetyeight_neerrorcode_invalid_signature" id="ninetyeight_neerrorcode_invalid_signature"></a>

Error code for invalid signature

```csharp
public const int INVALID_SIGNATURE = -1005
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_TELEGRAM\_DATA <a href="#ninetyeight_neerrorcode_invalid_telegram_data" id="ninetyeight_neerrorcode_invalid_telegram_data"></a>

Error code for invalid Telegram data (Telegram Webapp)

```csharp
public const int INVALID_TELEGRAM_DATA = -101
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_TOP\_WINDOW <a href="#ninetyeight_neerrorcode_invalid_top_window" id="ninetyeight_neerrorcode_invalid_top_window"></a>

Error code for invalid top window (Web Iframe)

```csharp
public const int INVALID_TOP_WINDOW = -100
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### INVALID\_VIEW\_CONTROLLER <a href="#ninetyeight_neerrorcode_invalid_view_controller" id="ninetyeight_neerrorcode_invalid_view_controller"></a>

Error code for invalid view controller (iOS)

```csharp
public const int INVALID_VIEW_CONTROLLER = -300
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### JSON\_PARSING\_ERROR <a href="#ninetyeight_neerrorcode_json_parsing_error" id="ninetyeight_neerrorcode_json_parsing_error"></a>

Error code for JSON parsing issues

```csharp
public const int JSON_PARSING_ERROR = -1019
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### NOT\_INIT\_YET <a href="#ninetyeight_neerrorcode_not_init_yet" id="ninetyeight_neerrorcode_not_init_yet"></a>

Error code for not initialized yet

```csharp
public const int NOT_INIT_YET = -1000
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### NOT\_LOGIN\_YET <a href="#ninetyeight_neerrorcode_not_login_yet" id="ninetyeight_neerrorcode_not_login_yet"></a>

Error code for not logged in yet

```csharp
public const int NOT_LOGIN_YET = -1012
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### SUCCESS <a href="#ninetyeight_neerrorcode_success" id="ninetyeight_neerrorcode_success"></a>

Represents a successful operation

```csharp
public const int SUCCESS = 0
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.errorcode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
